#include <stdio.h>
#include <stdlib.h>

void ucitaj(int n, int a[])
{
    int i;
    for(i=0; i<n; i++)
    {
        scanf("%d", &a[i]);
    }
}

int medijana(int n, int a[])
{
    int x;
    x = a[n/2];
    return x;
}

void sortiraj(int n, int a[])
{
    int i,j,c;
    for(i=0; i<n; i++)
    {
        for(j=0; j<n-1; j++)
        {
            if(a[j]>a[j+1])
            {
                c = a[j];
                a[j] = a[j+1];
                a[j+1] = c;
            }
        }
    }
}

void prepisi(int n, int a[], int b[])
{
    int i;
    for(i=0; i<n; i++)
    {
        b[i]=a[i];
    }
}

int main()
{
    int a[1000],b[1000],c[1000],n,pomocna,m,brojac=0,index;
    scanf("%d %d", &n, &m);
    ucitaj(n,a);
    ucitaj(m,b);
    sortiraj(n,a);
    prepisi(n,a,c);
    pomocna = n;
    for(index=0; index<m; index++)
    {
        n = pomocna;
        brojac=0;
        prepisi(n,c,a);
        while(medijana(n,a)!=b[index])
        {
            a[n]=b[index];
            n++;
            sortiraj(n,a);
            brojac++;
        }
        printf("%d\n", brojac);
    }
    return 0;
}